%{?nodejs_find_provides_and_requires}

Name:       nodejs-estraverse
Version:    1.3.0
Release:    1%{?dist}
Summary:    ECMAScript JS AST traversal functions
License:    BSD
Group:      System Environment/Libraries
URL:        https://github.com/Constellation/estraverse
Source0:    http://registry.npmjs.org/estraverse/-/estraverse-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%description
%{summary}.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/estraverse
cp -pr package.json estraverse.js \
    %{buildroot}%{nodejs_sitelib}/estraverse

%nodejs_symlink_deps


%files
%doc LICENSE.BSD README.md
%{nodejs_sitelib}/estraverse


%changelog
* Wed Sep 04 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.0-1
- update to upstream release 1.3.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jul 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.2.0-1
- update to upstream release 1.2.0
- restrict to compatible arches

* Mon May 27 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.1.1-1
- initial package
